#include <map>
#include <string>
#include <vector>
#include "cli.h"
#include "cli_Context.h"
#include "memory.h"
#include "memory_Context.h"
#include "shell.h"

// Greet the user
cli_Context cli_greetUser(
  cli_Context c
) {
  c.outputGreeting = "OGS Memory Textual UI";
  c.recentField = "outputGreeting";
  return c;
}

// Show help (aka commands)
cli_Context cli_showHelp(
  cli_Context c
) {
  if (
    c.input == "h" ||
    c.input == "help"
  ) {
    c.outputHelp = "Commands:\n\te, exit, q, quit\n\t\tExit\n\th, help\n\t\tList commands\n";
    c.recentField = "outputHelp";
    return c;
  }
  c.recentField = "none";
  return c;
}

