#include <map>
#include <string>
#include <vector>
#include "cli.h"
#include "cli_Context.h"
#include "memory.h"
#include "memory_Context.h"
#include "shell.h"

std::string cli_test_greetUser(
) {
  auto c = cli_createContext();
  c = cli_greetUser(c);
  if (
    c.recentField == "outputGreeting"
  ) {
    return "OK: cli_greetUser";
  }
  return "ERR: cli_greetUser";
}

std::string cli_test_showHelp_h(
) {
  auto c = cli_createContext();
  c.input = "h";
  c = cli_showHelp(c);
  if (
    c.recentField == "outputHelp"
  ) {
    return "OK: cli_showHelp_h";
  }
  return "ERR: cli_showHelp_h";
}

std::string cli_test_showHelp_help(
) {
  auto c = cli_createContext();
  c.input = "help";
  c = cli_showHelp(c);
  if (
    c.recentField == "outputHelp"
  ) {
    return "OK: cli_showHelp_help";
  }
  return "ERR: cli_showHelp_help";
}

